> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flowpayroll.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get export file retrievalpension calculationyear period frequency payroll config



## OpenAPI

````yaml /api-reference/specs/pension-v2.json get /export-file-retrieval/pension-calculation/year/{year}/period/{period}/frequency/{frequency}/payroll-config/{payrollConfigId}
openapi: 3.0.1
info:
  title: FlowPayroll Pension API
  version: v2
servers:
  - url: https://api.sandbox.flowpayroll.ai/v2/pension
security: []
paths:
  /export-file-retrieval/pension-calculation/year/{year}/period/{period}/frequency/{frequency}/payroll-config/{payrollConfigId}:
    get:
      tags:
        - ExportFileRetrieval
      operationId: ExportFileRetrieval_GetPensionCalculationExportFilesV2
      parameters:
        - name: year
          in: path
          required: true
          schema:
            type: integer
            format: int32
        - name: period
          in: path
          required: true
          schema:
            type: integer
            format: int32
        - name: frequency
          in: path
          required: true
          schema:
            type: string
        - name: payrollConfigId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PensionCalculationExportFileV2ListApiResponse
components:
  schemas:
    PensionCalculationExportFileV2ListApiResponse:
      type: object
      properties:
        content:
          $ref: '#/components/schemas/PensionCalculationExportFileV2ListContent'
        metadata:
          $ref: '#/components/schemas/Metadata'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Error'
          nullable: true
        message:
          $ref: '#/components/schemas/Message'
      additionalProperties: false
    PensionCalculationExportFileV2ListContent:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/PensionCalculationExportFileV2'
          nullable: true
        metadata:
          $ref: '#/components/schemas/Metadata'
      additionalProperties: false
    Metadata:
      type: object
      properties:
        dateFormat:
          type: string
          nullable: true
        dateTimeFormat:
          type: string
          nullable: true
      additionalProperties: false
    Error:
      type: object
      properties:
        field:
          type: string
          nullable: true
        reasonText:
          type: string
          nullable: true
        reasonId:
          type: string
          nullable: true
        reasonParameters:
          type: array
          items:
            $ref: '#/components/schemas/Pair'
          nullable: true
      additionalProperties: false
    Message:
      type: object
      properties:
        text:
          type: string
          nullable: true
        textId:
          type: string
          nullable: true
        textParameters:
          type: array
          items:
            $ref: '#/components/schemas/Pair'
          nullable: true
      additionalProperties: false
    PensionCalculationExportFileV2:
      required:
        - filePath
        - fileType
        - frequency
        - payrollConfigId
        - payrollRunId
        - pensionProviderSlug
        - period
        - year
      type: object
      properties:
        payrollRunId:
          type: string
          nullable: true
        frequency:
          type: string
          nullable: true
        year:
          type: integer
          format: int32
        period:
          type: integer
          format: int32
        payrollConfigId:
          type: string
          nullable: true
        pensionProviderSlug:
          type: string
          nullable: true
        exportGroup:
          type: string
          nullable: true
        filePath:
          type: string
          nullable: true
        fileType:
          type: string
          nullable: true
      additionalProperties: false
    Pair:
      type: object
      properties:
        key:
          type: string
          nullable: true
        value:
          type: string
          nullable: true
      additionalProperties: false

````